# Generated by Django 2.2 on 2019-06-05 20:53

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import learning.models
import learning.permissions
import taggit.managers


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('taggit', '0003_taggeditem_add_unique_index'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Course',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('language', models.CharField(choices=[('af', 'Afrikaans'), ('ar', 'Arabic'), ('ast', 'Asturian'), ('az', 'Azerbaijani'), ('bg', 'Bulgarian'), ('be', 'Belarusian'), ('bn', 'Bengali'), ('br', 'Breton'), ('bs', 'Bosnian'), ('ca', 'Catalan'), ('cs', 'Czech'), ('cy', 'Welsh'), ('da', 'Danish'), ('de', 'German'), ('dsb', 'Lower Sorbian'), ('el', 'Greek'), ('en', 'English'), ('en-au', 'Australian English'), ('en-gb', 'British English'), ('eo', 'Esperanto'), ('es', 'Spanish'), ('es-ar', 'Argentinian Spanish'), ('es-co', 'Colombian Spanish'), ('es-mx', 'Mexican Spanish'), ('es-ni', 'Nicaraguan Spanish'), ('es-ve', 'Venezuelan Spanish'), ('et', 'Estonian'), ('eu', 'Basque'), ('fa', 'Persian'), ('fi', 'Finnish'), ('fr', 'French'), ('fy', 'Frisian'), ('ga', 'Irish'), ('gd', 'Scottish Gaelic'), ('gl', 'Galician'), ('he', 'Hebrew'), ('hi', 'Hindi'), ('hr', 'Croatian'), ('hsb', 'Upper Sorbian'), ('hu', 'Hungarian'), ('hy', 'Armenian'), ('ia', 'Interlingua'), ('id', 'Indonesian'), ('io', 'Ido'), ('is', 'Icelandic'), ('it', 'Italian'), ('ja', 'Japanese'), ('ka', 'Georgian'), ('kab', 'Kabyle'), ('kk', 'Kazakh'), ('km', 'Khmer'), ('kn', 'Kannada'), ('ko', 'Korean'), ('lb', 'Luxembourgish'), ('lt', 'Lithuanian'), ('lv', 'Latvian'), ('mk', 'Macedonian'), ('ml', 'Malayalam'), ('mn', 'Mongolian'), ('mr', 'Marathi'), ('my', 'Burmese'), ('nb', 'Norwegian Bokmål'), ('ne', 'Nepali'), ('nl', 'Dutch'), ('nn', 'Norwegian Nynorsk'), ('os', 'Ossetic'), ('pa', 'Punjabi'), ('pl', 'Polish'), ('pt', 'Portuguese'), ('pt-br', 'Brazilian Portuguese'), ('ro', 'Romanian'), ('ru', 'Russian'), ('sk', 'Slovak'), ('sl', 'Slovenian'), ('sq', 'Albanian'), ('sr', 'Serbian'), ('sr-latn', 'Serbian Latin'), ('sv', 'Swedish'), ('sw', 'Swahili'), ('ta', 'Tamil'), ('te', 'Telugu'), ('th', 'Thai'), ('tr', 'Turkish'), ('tt', 'Tatar'), ('udm', 'Udmurt'), ('uk', 'Ukrainian'), ('ur', 'Urdu'), ('vi', 'Vietnamese'), ('zh-hans', 'Simplified Chinese'), ('zh-hant', 'Traditional Chinese')], max_length=20, verbose_name='Language')),
                ('state', models.CharField(choices=[('DRAFT', 'Draft'), ('PUBLISHED', 'Published'), ('ARCHIVED', 'Archived')], default='DRAFT', max_length=20, verbose_name='State')),
                ('access', models.CharField(choices=[('PUBLIC', 'Public'), ('STUDENTS_ONLY', 'Students only'), ('COLLABORATORS_ONLY', 'Collaborators only'), ('PRIVATE', 'Private')], default='PUBLIC', max_length=20, verbose_name='Access')),
                ('registration_enabled', models.BooleanField(default=False, verbose_name='Registration enabled')),
                ('slug', models.SlugField(unique=True)),
                ('published', models.DateTimeField(auto_now_add=True, verbose_name='Published the')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Last updated the')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='courses', to=settings.AUTH_USER_MODEL, verbose_name='Author')),
            ],
            options={
                'verbose_name': 'course',
                'verbose_name_plural': 'courses',
                'ordering': ['updated', 'name'],
            },
            bases=(learning.permissions.ObjectPermissionManagerMixin, learning.models.ObjectWithSlugMixin, models.Model),
        ),
        migrations.CreateModel(
            name='Resource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('description', models.TextField(verbose_name='Description')),
                ('language', models.CharField(choices=[('af', 'Afrikaans'), ('ar', 'Arabic'), ('ast', 'Asturian'), ('az', 'Azerbaijani'), ('bg', 'Bulgarian'), ('be', 'Belarusian'), ('bn', 'Bengali'), ('br', 'Breton'), ('bs', 'Bosnian'), ('ca', 'Catalan'), ('cs', 'Czech'), ('cy', 'Welsh'), ('da', 'Danish'), ('de', 'German'), ('dsb', 'Lower Sorbian'), ('el', 'Greek'), ('en', 'English'), ('en-au', 'Australian English'), ('en-gb', 'British English'), ('eo', 'Esperanto'), ('es', 'Spanish'), ('es-ar', 'Argentinian Spanish'), ('es-co', 'Colombian Spanish'), ('es-mx', 'Mexican Spanish'), ('es-ni', 'Nicaraguan Spanish'), ('es-ve', 'Venezuelan Spanish'), ('et', 'Estonian'), ('eu', 'Basque'), ('fa', 'Persian'), ('fi', 'Finnish'), ('fr', 'French'), ('fy', 'Frisian'), ('ga', 'Irish'), ('gd', 'Scottish Gaelic'), ('gl', 'Galician'), ('he', 'Hebrew'), ('hi', 'Hindi'), ('hr', 'Croatian'), ('hsb', 'Upper Sorbian'), ('hu', 'Hungarian'), ('hy', 'Armenian'), ('ia', 'Interlingua'), ('id', 'Indonesian'), ('io', 'Ido'), ('is', 'Icelandic'), ('it', 'Italian'), ('ja', 'Japanese'), ('ka', 'Georgian'), ('kab', 'Kabyle'), ('kk', 'Kazakh'), ('km', 'Khmer'), ('kn', 'Kannada'), ('ko', 'Korean'), ('lb', 'Luxembourgish'), ('lt', 'Lithuanian'), ('lv', 'Latvian'), ('mk', 'Macedonian'), ('ml', 'Malayalam'), ('mn', 'Mongolian'), ('mr', 'Marathi'), ('my', 'Burmese'), ('nb', 'Norwegian Bokmål'), ('ne', 'Nepali'), ('nl', 'Dutch'), ('nn', 'Norwegian Nynorsk'), ('os', 'Ossetic'), ('pa', 'Punjabi'), ('pl', 'Polish'), ('pt', 'Portuguese'), ('pt-br', 'Brazilian Portuguese'), ('ro', 'Romanian'), ('ru', 'Russian'), ('sk', 'Slovak'), ('sl', 'Slovenian'), ('sq', 'Albanian'), ('sr', 'Serbian'), ('sr-latn', 'Serbian Latin'), ('sv', 'Swedish'), ('sw', 'Swahili'), ('ta', 'Tamil'), ('te', 'Telugu'), ('th', 'Thai'), ('tr', 'Turkish'), ('tt', 'Tatar'), ('udm', 'Udmurt'), ('uk', 'Ukrainian'), ('ur', 'Urdu'), ('vi', 'Vietnamese'), ('zh-hans', 'Simplified Chinese'), ('zh-hant', 'Traditional Chinese')], max_length=20, verbose_name='Language')),
                ('type', models.CharField(choices=[('FILE', 'File'), ('VIDEO', 'Video'), ('AUDIO', 'Audio')], max_length=10, verbose_name='Type')),
                ('duration', models.CharField(choices=[('FIVE_OR_LESS', 'Less than 5 minutes'), ('TEN_OR_LESS', 'Less than 10 minutes'), ('FIFTEEN_OR_LESS', 'Less than 15 minutes'), ('TWENTY_OR_LESS', 'Less than 20 minutes'), ('TWENTY_FIVE_OR_LESS', 'Less than 25 minutes'), ('THIRTY_OR_MORE', '30 minutes or more'), ('NOT_SPECIFIED', 'Not specified')], default='NOT_SPECIFIED', max_length=30, verbose_name='Duration')),
                ('licence', models.CharField(choices=[('CC_0', 'Creative Commons 0 (Public domain)'), ('CC_BY', 'Creative Commons Attribution'), ('CC_BY_SA', 'Creative Commons Attribution, Share Alike'), ('CC_BY_NC', 'Creative Commons Attribution, Non Commercial'), ('CC_BY_NC_SA', 'Creative Commons Attribution, Non Commercial, Share Alike'), ('CC_BY_ND', 'Creative Commons Attribution, No Derivatives'), ('CC_BY_NC_ND', 'Creative Commons Attribution, No Commercial, No Derivatives'), ('NA', 'Not appropriate'), ('ALL_RIGHTS_RESERVED', 'All rights reserved')], default='CC_BY', max_length=20, verbose_name='Licence')),
                ('access', models.CharField(choices=[('PUBLIC', 'Public'), ('EXISTING_ACTIVITIES', 'Only in activities'), ('PRIVATE', 'Private')], default='PUBLIC', max_length=20, verbose_name='Access')),
                ('reuse', models.CharField(choices=[('NO_RESTRICTION', 'Reusable'), ('ONLY_AUTHOR', 'Author only'), ('NON_REUSABLE', 'Non reusable')], default='ONLY_AUTHOR', max_length=20, verbose_name='Reuse')),
                ('media', models.FileField(blank=True, null=True, upload_to='', verbose_name='File')),
                ('slug', models.SlugField(unique=True)),
                ('published', models.DateTimeField(auto_now_add=True, verbose_name='Published the')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Last updated the')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='resources', to=settings.AUTH_USER_MODEL, verbose_name='Author')),
                ('tags', taggit.managers.TaggableManager(help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags')),
            ],
            options={
                'verbose_name': 'resource',
                'verbose_name_plural': 'resources',
                'ordering': ['updated', 'name'],
            },
            bases=(learning.permissions.ObjectPermissionManagerMixin, learning.models.ObjectWithSlugMixin, models.Model),
        ),
        migrations.CreateModel(
            name='CourseCollaborator',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role', models.CharField(choices=[('TEACHER', 'Teacher'), ('NON_EDITOR_TEACHER', 'Non-editor Teacher'), ('OWNER', 'Owner')], default='NON_EDITOR_TEACHER', max_length=20, verbose_name='Role')),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='course_collaborators', to='learning.Course', verbose_name='Course')),
                ('person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='course_collaborators', to=settings.AUTH_USER_MODEL, verbose_name='Person')),
            ],
            options={
                'verbose_name': 'course collaborator',
                'verbose_name_plural': 'course collaborators',
                'ordering': ['course__updated', 'role'],
                'unique_together': {('person', 'course')},
            },
        ),
        migrations.AddField(
            model_name='course',
            name='collaborators',
            field=models.ManyToManyField(related_name='collaborates_on', through='learning.CourseCollaborator', to=settings.AUTH_USER_MODEL, verbose_name='Collaborators'),
        ),
        migrations.AddField(
            model_name='course',
            name='students',
            field=models.ManyToManyField(blank=True, related_name='registered_on', to=settings.AUTH_USER_MODEL, verbose_name='Students'),
        ),
        migrations.AddField(
            model_name='course',
            name='tags',
            field=taggit.managers.TaggableManager(help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags'),
        ),
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('language', models.CharField(choices=[('af', 'Afrikaans'), ('ar', 'Arabic'), ('ast', 'Asturian'), ('az', 'Azerbaijani'), ('bg', 'Bulgarian'), ('be', 'Belarusian'), ('bn', 'Bengali'), ('br', 'Breton'), ('bs', 'Bosnian'), ('ca', 'Catalan'), ('cs', 'Czech'), ('cy', 'Welsh'), ('da', 'Danish'), ('de', 'German'), ('dsb', 'Lower Sorbian'), ('el', 'Greek'), ('en', 'English'), ('en-au', 'Australian English'), ('en-gb', 'British English'), ('eo', 'Esperanto'), ('es', 'Spanish'), ('es-ar', 'Argentinian Spanish'), ('es-co', 'Colombian Spanish'), ('es-mx', 'Mexican Spanish'), ('es-ni', 'Nicaraguan Spanish'), ('es-ve', 'Venezuelan Spanish'), ('et', 'Estonian'), ('eu', 'Basque'), ('fa', 'Persian'), ('fi', 'Finnish'), ('fr', 'French'), ('fy', 'Frisian'), ('ga', 'Irish'), ('gd', 'Scottish Gaelic'), ('gl', 'Galician'), ('he', 'Hebrew'), ('hi', 'Hindi'), ('hr', 'Croatian'), ('hsb', 'Upper Sorbian'), ('hu', 'Hungarian'), ('hy', 'Armenian'), ('ia', 'Interlingua'), ('id', 'Indonesian'), ('io', 'Ido'), ('is', 'Icelandic'), ('it', 'Italian'), ('ja', 'Japanese'), ('ka', 'Georgian'), ('kab', 'Kabyle'), ('kk', 'Kazakh'), ('km', 'Khmer'), ('kn', 'Kannada'), ('ko', 'Korean'), ('lb', 'Luxembourgish'), ('lt', 'Lithuanian'), ('lv', 'Latvian'), ('mk', 'Macedonian'), ('ml', 'Malayalam'), ('mn', 'Mongolian'), ('mr', 'Marathi'), ('my', 'Burmese'), ('nb', 'Norwegian Bokmål'), ('ne', 'Nepali'), ('nl', 'Dutch'), ('nn', 'Norwegian Nynorsk'), ('os', 'Ossetic'), ('pa', 'Punjabi'), ('pl', 'Polish'), ('pt', 'Portuguese'), ('pt-br', 'Brazilian Portuguese'), ('ro', 'Romanian'), ('ru', 'Russian'), ('sk', 'Slovak'), ('sl', 'Slovenian'), ('sq', 'Albanian'), ('sr', 'Serbian'), ('sr-latn', 'Serbian Latin'), ('sv', 'Swedish'), ('sw', 'Swahili'), ('ta', 'Tamil'), ('te', 'Telugu'), ('th', 'Thai'), ('tr', 'Turkish'), ('tt', 'Tatar'), ('udm', 'Udmurt'), ('uk', 'Ukrainian'), ('ur', 'Urdu'), ('vi', 'Vietnamese'), ('zh-hans', 'Simplified Chinese'), ('zh-hant', 'Traditional Chinese')], max_length=20, verbose_name='Language')),
                ('access', models.CharField(choices=[('PUBLIC', 'Public'), ('EXISTING_COURSES', 'Only in courses'), ('PRIVATE', 'Private')], default='PUBLIC', max_length=20, verbose_name='Access')),
                ('reuse', models.CharField(choices=[('NO_RESTRICTION', 'Reusable'), ('ONLY_AUTHOR', 'Author only'), ('NON_REUSABLE', 'Non reusable')], default='ONLY_AUTHOR', max_length=20, verbose_name='Reuse')),
                ('slug', models.SlugField(unique=True)),
                ('published', models.DateTimeField(auto_now_add=True, verbose_name='Published the')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Last updated the')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='activities', to=settings.AUTH_USER_MODEL, verbose_name='Author')),
                ('resources', models.ManyToManyField(related_name='activities', to='learning.Resource', verbose_name='Resources')),
                ('tags', taggit.managers.TaggableManager(help_text='A comma-separated list of tags.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags')),
            ],
            options={
                'verbose_name': 'activity',
                'verbose_name_plural': 'activities',
                'ordering': ['updated', 'name'],
            },
            bases=(learning.permissions.ObjectPermissionManagerMixin, learning.models.ObjectWithSlugMixin, models.Model),
        ),
        migrations.CreateModel(
            name='CourseActivity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rank', models.PositiveIntegerField(verbose_name='Rank')),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='course_activities', to='learning.Activity', verbose_name='Activity')),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='course_activities', to='learning.Course', verbose_name='Course')),
            ],
            options={
                'verbose_name': 'course activity',
                'verbose_name_plural': 'course activities',
                'ordering': ['rank'],
                'unique_together': {('activity', 'course')},
            },
        ),
    ]
