# Generated by Django 2.2.4 on 2019-08-05 15:23

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('accounts', '0003_groups'),
        ('learning', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='RegistrationOnCourse',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('registration_locked', models.BooleanField(default=False, help_text='Locking a registration means the user will not be able to unregister by itself.', verbose_name='Registration locked')),
                ('self_registration', models.BooleanField(default=False, help_text='Indicates the user decided to register to the course by itself, the user was not registered manually by a teacher in the course or as a member of a group.', verbose_name='User registered by itself')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Registered the')),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='Last updated the')),
            ],
            options={
                'verbose_name': 'course registration',
                'verbose_name_plural': 'course registrations',
                'ordering': ['course', 'student'],
            },
        ),
        migrations.RenameField(
            model_name='coursecollaborator',
            old_name='person',
            new_name='collaborator',
        ),
        migrations.AlterField(
            model_name='coursecollaborator',
            name='collaborator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='course_collaborators',
                                    to=settings.AUTH_USER_MODEL, verbose_name='Collaborator'),
        ),
        migrations.AddField(
            model_name='coursecollaborator',
            name='created',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now, verbose_name='Since the'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='coursecollaborator',
            name='updated',
            field=models.DateTimeField(auto_now=True, verbose_name='Last updated the'),
        ),
        migrations.RemoveField(
            model_name='course',
            name='students',
        ),
        migrations.AddField(
            model_name='course',
            name='students',
            field=models.ManyToManyField(related_name='registered_on', through='learning.RegistrationOnCourse', to=settings.AUTH_USER_MODEL, verbose_name='Students'),
        ),
        migrations.AlterUniqueTogether(
            name='coursecollaborator',
            unique_together={('collaborator', 'course')},
        ),
        migrations.AddField(
            model_name='registrationoncourse',
            name='course',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='registrations', to='learning.Course', verbose_name='Cours'),
        ),
        migrations.AddField(
            model_name='registrationoncourse',
            name='student',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='registrations', to=settings.AUTH_USER_MODEL, verbose_name='Student'),
        ),
        migrations.AlterUniqueTogether(
            name='registrationoncourse',
            unique_together={('course', 'student')},
        ),
    ]
