# Generated by Django 2.2.12 on 2020-06-01 12:46
import os

from django.conf import settings
from django.db import migrations

from learning.models import Resource, resource_attachment_upload_to_callback


def rename_resource_attachments(apps, schema_editor):
    for resource in Resource.objects.all():
        if resource.attachment:
            new_file_path = resource_attachment_upload_to_callback(
                resource, os.path.basename(resource.attachment.name)
            )
            os.makedirs(os.path.join(settings.MEDIA_ROOT, os.path.dirname(new_file_path)), exist_ok=True)
            os.rename(
                os.path.join(settings.MEDIA_ROOT, resource.attachment.name),
                os.path.join(settings.MEDIA_ROOT, new_file_path)
            )
            resource.attachment.name = new_file_path
            resource.save()


class Migration(migrations.Migration):

    dependencies = [
        ('learning', '0003_object_collaborators'),
    ]

    operations = [
        migrations.RenameField(
            model_name='resource',
            old_name='media',
            new_name='attachment',
        ),
        migrations.RunPython(rename_resource_attachments)
    ]
