# Generated by Django 2.2.12 on 2020-06-04 16:33

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import learning.models
import taggit.managers


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('learning', '0006_rename_media_to_attachment'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='activity',
            options={'ordering': ['-updated', 'name'], 'verbose_name': 'activity', 'verbose_name_plural': 'activities'},
        ),
        migrations.AlterModelOptions(
            name='course',
            options={'ordering': ['-updated', 'name'], 'verbose_name': 'course', 'verbose_name_plural': 'courses'},
        ),
        migrations.AlterModelOptions(
            name='resource',
            options={'ordering': ['-updated', 'name'], 'verbose_name': 'resource', 'verbose_name_plural': 'resources'},
        ),
        migrations.AddField(
            model_name='activity',
            name='favourite_for',
            field=models.ManyToManyField(related_name='_activity_favourite_for_+', to=settings.AUTH_USER_MODEL, verbose_name='Favorite for users'),
        ),
        migrations.AddField(
            model_name='course',
            name='favourite_for',
            field=models.ManyToManyField(related_name='_course_favourite_for_+', to=settings.AUTH_USER_MODEL, verbose_name='Favorite for users'),
        ),
        migrations.AddField(
            model_name='resource',
            name='favourite_for',
            field=models.ManyToManyField(related_name='_resource_favourite_for_+', to=settings.AUTH_USER_MODEL, verbose_name='Favorite for users'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='access',
            field=models.CharField(choices=[('PUBLIC', 'Public'), ('EXISTING_COURSES', 'Only in courses'), ('COLLABORATORS_ONLY', 'Collaborators only'), ('PRIVATE', 'Private')], default='PUBLIC', help_text='Whether the activity should remain private (for you only), visible only in courses that use it, restricted to your collaborators or public', max_length=20, verbose_name='Access'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='author',
            field=models.ForeignKey(help_text='The user that created this activity, or that is considered as the current owner', on_delete=django.db.models.deletion.CASCADE, related_name='activities', to=settings.AUTH_USER_MODEL, verbose_name='Author'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='collaborators',
            field=models.ManyToManyField(help_text='The users that collaborate on this activity alongside the author', related_name='collaborates_on_activity', through='learning.ActivityCollaborator', to=settings.AUTH_USER_MODEL, verbose_name='Collaborators'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='language',
            field=models.CharField(choices=[('af', 'Afrikaans'), ('ar', 'Arabic'), ('ast', 'Asturian'), ('az', 'Azerbaijani'), ('bg', 'Bulgarian'), ('be', 'Belarusian'), ('bn', 'Bengali'), ('br', 'Breton'), ('bs', 'Bosnian'), ('ca', 'Catalan'), ('cs', 'Czech'), ('cy', 'Welsh'), ('da', 'Danish'), ('de', 'German'), ('dsb', 'Lower Sorbian'), ('el', 'Greek'), ('en', 'English'), ('en-au', 'Australian English'), ('en-gb', 'British English'), ('eo', 'Esperanto'), ('es', 'Spanish'), ('es-ar', 'Argentinian Spanish'), ('es-co', 'Colombian Spanish'), ('es-mx', 'Mexican Spanish'), ('es-ni', 'Nicaraguan Spanish'), ('es-ve', 'Venezuelan Spanish'), ('et', 'Estonian'), ('eu', 'Basque'), ('fa', 'Persian'), ('fi', 'Finnish'), ('fr', 'French'), ('fy', 'Frisian'), ('ga', 'Irish'), ('gd', 'Scottish Gaelic'), ('gl', 'Galician'), ('he', 'Hebrew'), ('hi', 'Hindi'), ('hr', 'Croatian'), ('hsb', 'Upper Sorbian'), ('hu', 'Hungarian'), ('hy', 'Armenian'), ('ia', 'Interlingua'), ('id', 'Indonesian'), ('io', 'Ido'), ('is', 'Icelandic'), ('it', 'Italian'), ('ja', 'Japanese'), ('ka', 'Georgian'), ('kab', 'Kabyle'), ('kk', 'Kazakh'), ('km', 'Khmer'), ('kn', 'Kannada'), ('ko', 'Korean'), ('lb', 'Luxembourgish'), ('lt', 'Lithuanian'), ('lv', 'Latvian'), ('mk', 'Macedonian'), ('ml', 'Malayalam'), ('mn', 'Mongolian'), ('mr', 'Marathi'), ('my', 'Burmese'), ('nb', 'Norwegian Bokmål'), ('ne', 'Nepali'), ('nl', 'Dutch'), ('nn', 'Norwegian Nynorsk'), ('os', 'Ossetic'), ('pa', 'Punjabi'), ('pl', 'Polish'), ('pt', 'Portuguese'), ('pt-br', 'Brazilian Portuguese'), ('ro', 'Romanian'), ('ru', 'Russian'), ('sk', 'Slovak'), ('sl', 'Slovenian'), ('sq', 'Albanian'), ('sr', 'Serbian'), ('sr-latn', 'Serbian Latin'), ('sv', 'Swedish'), ('sw', 'Swahili'), ('ta', 'Tamil'), ('te', 'Telugu'), ('th', 'Thai'), ('tr', 'Turkish'), ('tt', 'Tatar'), ('udm', 'Udmurt'), ('uk', 'Ukrainian'), ('ur', 'Urdu'), ('vi', 'Vietnamese'), ('zh-hans', 'Simplified Chinese'), ('zh-hant', 'Traditional Chinese')], default='en', help_text='The language in which you are currently writing', max_length=20, verbose_name='Language'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='name',
            field=models.CharField(help_text='A title that clearly indicates the theme you are writing about.', max_length=255, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='reuse',
            field=models.CharField(choices=[('NO_RESTRICTION', 'Reusable'), ('ONLY_AUTHOR', 'Author only'), ('NON_REUSABLE', 'Non reusable')], default='ONLY_AUTHOR', help_text='Whether you want the activity to be reusable in courses. Activities can be fully reusable, only by you or not reusable', max_length=20, verbose_name='Reuse'),
        ),
        migrations.AlterField(
            model_name='activity',
            name='tags',
            field=taggit.managers.TaggableManager(help_text='A set of coma separated keywords that describe the theme and permits this content to be found by browsing or searching.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags'),
        ),
        migrations.AlterField(
            model_name='activitycollaborator',
            name='activity',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='activity_collaborators', to='learning.Activity', verbose_name='Activity'),
        ),
        migrations.AlterField(
            model_name='course',
            name='access',
            field=models.CharField(choices=[('PUBLIC', 'Public'), ('STUDENTS_ONLY', 'Students only'), ('COLLABORATORS_ONLY', 'Collaborators only'), ('PRIVATE', 'Private')], default='PUBLIC', help_text='Whether the course should remain private (for you only), restricted to your collaborators, your students or public', max_length=20, verbose_name='Access'),
        ),
        migrations.AlterField(
            model_name='course',
            name='author',
            field=models.ForeignKey(help_text='The user that created this course, or that is considered as the current owner', on_delete=django.db.models.deletion.CASCADE, related_name='courses', to=settings.AUTH_USER_MODEL, verbose_name='Author'),
        ),
        migrations.AlterField(
            model_name='course',
            name='collaborators',
            field=models.ManyToManyField(help_text='The users that collaborate on this course alongside the author', related_name='collaborates_on_course', through='learning.CourseCollaborator', to=settings.AUTH_USER_MODEL, verbose_name='Collaborators'),
        ),
        migrations.AlterField(
            model_name='course',
            name='language',
            field=models.CharField(choices=[('af', 'Afrikaans'), ('ar', 'Arabic'), ('ast', 'Asturian'), ('az', 'Azerbaijani'), ('bg', 'Bulgarian'), ('be', 'Belarusian'), ('bn', 'Bengali'), ('br', 'Breton'), ('bs', 'Bosnian'), ('ca', 'Catalan'), ('cs', 'Czech'), ('cy', 'Welsh'), ('da', 'Danish'), ('de', 'German'), ('dsb', 'Lower Sorbian'), ('el', 'Greek'), ('en', 'English'), ('en-au', 'Australian English'), ('en-gb', 'British English'), ('eo', 'Esperanto'), ('es', 'Spanish'), ('es-ar', 'Argentinian Spanish'), ('es-co', 'Colombian Spanish'), ('es-mx', 'Mexican Spanish'), ('es-ni', 'Nicaraguan Spanish'), ('es-ve', 'Venezuelan Spanish'), ('et', 'Estonian'), ('eu', 'Basque'), ('fa', 'Persian'), ('fi', 'Finnish'), ('fr', 'French'), ('fy', 'Frisian'), ('ga', 'Irish'), ('gd', 'Scottish Gaelic'), ('gl', 'Galician'), ('he', 'Hebrew'), ('hi', 'Hindi'), ('hr', 'Croatian'), ('hsb', 'Upper Sorbian'), ('hu', 'Hungarian'), ('hy', 'Armenian'), ('ia', 'Interlingua'), ('id', 'Indonesian'), ('io', 'Ido'), ('is', 'Icelandic'), ('it', 'Italian'), ('ja', 'Japanese'), ('ka', 'Georgian'), ('kab', 'Kabyle'), ('kk', 'Kazakh'), ('km', 'Khmer'), ('kn', 'Kannada'), ('ko', 'Korean'), ('lb', 'Luxembourgish'), ('lt', 'Lithuanian'), ('lv', 'Latvian'), ('mk', 'Macedonian'), ('ml', 'Malayalam'), ('mn', 'Mongolian'), ('mr', 'Marathi'), ('my', 'Burmese'), ('nb', 'Norwegian Bokmål'), ('ne', 'Nepali'), ('nl', 'Dutch'), ('nn', 'Norwegian Nynorsk'), ('os', 'Ossetic'), ('pa', 'Punjabi'), ('pl', 'Polish'), ('pt', 'Portuguese'), ('pt-br', 'Brazilian Portuguese'), ('ro', 'Romanian'), ('ru', 'Russian'), ('sk', 'Slovak'), ('sl', 'Slovenian'), ('sq', 'Albanian'), ('sr', 'Serbian'), ('sr-latn', 'Serbian Latin'), ('sv', 'Swedish'), ('sw', 'Swahili'), ('ta', 'Tamil'), ('te', 'Telugu'), ('th', 'Thai'), ('tr', 'Turkish'), ('tt', 'Tatar'), ('udm', 'Udmurt'), ('uk', 'Ukrainian'), ('ur', 'Urdu'), ('vi', 'Vietnamese'), ('zh-hans', 'Simplified Chinese'), ('zh-hant', 'Traditional Chinese')], default='en', help_text='The language in which you are currently writing', max_length=20, verbose_name='Language'),
        ),
        migrations.AlterField(
            model_name='course',
            name='name',
            field=models.CharField(help_text='A title that clearly indicates the theme you are writing about.', max_length=255, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='course',
            name='registration_enabled',
            field=models.BooleanField(default=False, help_text='Whether users are authorised to register or unregister from this course', verbose_name='Registration enabled'),
        ),
        migrations.AlterField(
            model_name='course',
            name='state',
            field=models.CharField(choices=[('DRAFT', 'Draft'), ('PUBLISHED', 'Published'), ('ARCHIVED', 'Archived')], default='DRAFT', help_text='Whether the course should be considered as a draft, published or archived. Archived means read-only.', max_length=20, verbose_name='State'),
        ),
        migrations.AlterField(
            model_name='course',
            name='students',
            field=models.ManyToManyField(help_text='The users that registered on this course, that are hence considered as students', related_name='registered_on', through='learning.RegistrationOnCourse', to=settings.AUTH_USER_MODEL, verbose_name='Students'),
        ),
        migrations.AlterField(
            model_name='course',
            name='tags',
            field=taggit.managers.TaggableManager(help_text='A set of coma separated keywords that describe the theme and permits this content to be found by browsing or searching.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags'),
        ),
        migrations.AlterField(
            model_name='registrationoncourse',
            name='course',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='registrations', to='learning.Course', verbose_name='Course'),
        ),
        migrations.AlterField(
            model_name='resource',
            name='access',
            field=models.CharField(choices=[('PUBLIC', 'Public'), ('EXISTING_ACTIVITIES', 'Only in activities'), ('COLLABORATORS_ONLY', 'Collaborators only'), ('PRIVATE', 'Private')], default='PUBLIC', help_text='Whether the resource should remain private (for you only), visible only in activities that use it, restricted to your collaborators or public', max_length=20, verbose_name='Access'),
        ),
        migrations.AlterField(
            model_name='resource',
            name='attachment',
            field=models.FileField(blank=True, null=True, upload_to=learning.models.resource_attachment_upload_to_callback, verbose_name='File'),
        ),
        migrations.AlterField(
            model_name='resource',
            name='author',
            field=models.ForeignKey(help_text='The user that created this resource, or that is considered as the current owner', on_delete=django.db.models.deletion.CASCADE, related_name='resources', to=settings.AUTH_USER_MODEL, verbose_name='Author'),
        ),
        migrations.AlterField(
            model_name='resource',
            name='collaborators',
            field=models.ManyToManyField(help_text='The users that collaborate on this resource alongside the author', related_name='collaborates_on_resource', through='learning.ResourceCollaborator', to=settings.AUTH_USER_MODEL, verbose_name='Collaborators'),
        ),
        migrations.AlterField(
            model_name='resource',
            name='duration',
            field=models.CharField(choices=[('FIVE_OR_LESS', 'Less than 5 minutes'), ('TEN_OR_LESS', 'Less than 10 minutes'), ('FIFTEEN_OR_LESS', 'Less than 15 minutes'), ('TWENTY_OR_LESS', 'Less than 20 minutes'), ('TWENTY_FIVE_OR_LESS', 'Less than 25 minutes'), ('THIRTY_OR_MORE', '30 minutes or more'), ('NOT_SPECIFIED', 'Not specified')], default='NOT_SPECIFIED', help_text='The estimated, required duration to consult and understand the resource', max_length=30, verbose_name='Duration'),
        ),
        migrations.AlterField(
            model_name='resource',
            name='language',
            field=models.CharField(choices=[('af', 'Afrikaans'), ('ar', 'Arabic'), ('ast', 'Asturian'), ('az', 'Azerbaijani'), ('bg', 'Bulgarian'), ('be', 'Belarusian'), ('bn', 'Bengali'), ('br', 'Breton'), ('bs', 'Bosnian'), ('ca', 'Catalan'), ('cs', 'Czech'), ('cy', 'Welsh'), ('da', 'Danish'), ('de', 'German'), ('dsb', 'Lower Sorbian'), ('el', 'Greek'), ('en', 'English'), ('en-au', 'Australian English'), ('en-gb', 'British English'), ('eo', 'Esperanto'), ('es', 'Spanish'), ('es-ar', 'Argentinian Spanish'), ('es-co', 'Colombian Spanish'), ('es-mx', 'Mexican Spanish'), ('es-ni', 'Nicaraguan Spanish'), ('es-ve', 'Venezuelan Spanish'), ('et', 'Estonian'), ('eu', 'Basque'), ('fa', 'Persian'), ('fi', 'Finnish'), ('fr', 'French'), ('fy', 'Frisian'), ('ga', 'Irish'), ('gd', 'Scottish Gaelic'), ('gl', 'Galician'), ('he', 'Hebrew'), ('hi', 'Hindi'), ('hr', 'Croatian'), ('hsb', 'Upper Sorbian'), ('hu', 'Hungarian'), ('hy', 'Armenian'), ('ia', 'Interlingua'), ('id', 'Indonesian'), ('io', 'Ido'), ('is', 'Icelandic'), ('it', 'Italian'), ('ja', 'Japanese'), ('ka', 'Georgian'), ('kab', 'Kabyle'), ('kk', 'Kazakh'), ('km', 'Khmer'), ('kn', 'Kannada'), ('ko', 'Korean'), ('lb', 'Luxembourgish'), ('lt', 'Lithuanian'), ('lv', 'Latvian'), ('mk', 'Macedonian'), ('ml', 'Malayalam'), ('mn', 'Mongolian'), ('mr', 'Marathi'), ('my', 'Burmese'), ('nb', 'Norwegian Bokmål'), ('ne', 'Nepali'), ('nl', 'Dutch'), ('nn', 'Norwegian Nynorsk'), ('os', 'Ossetic'), ('pa', 'Punjabi'), ('pl', 'Polish'), ('pt', 'Portuguese'), ('pt-br', 'Brazilian Portuguese'), ('ro', 'Romanian'), ('ru', 'Russian'), ('sk', 'Slovak'), ('sl', 'Slovenian'), ('sq', 'Albanian'), ('sr', 'Serbian'), ('sr-latn', 'Serbian Latin'), ('sv', 'Swedish'), ('sw', 'Swahili'), ('ta', 'Tamil'), ('te', 'Telugu'), ('th', 'Thai'), ('tr', 'Turkish'), ('tt', 'Tatar'), ('udm', 'Udmurt'), ('uk', 'Ukrainian'), ('ur', 'Urdu'), ('vi', 'Vietnamese'), ('zh-hans', 'Simplified Chinese'), ('zh-hant', 'Traditional Chinese')], default='en', help_text='The language in which you are currently writing', max_length=20, verbose_name='Language'),
        ),
        migrations.AlterField(
            model_name='resource',
            name='licence',
            field=models.CharField(choices=[('CC_0', 'Creative Commons 0 (Public domain)'), ('CC_BY', 'Creative Commons Attribution'), ('CC_BY_SA', 'Creative Commons Attribution, Share Alike'), ('CC_BY_NC', 'Creative Commons Attribution, Non Commercial'), ('CC_BY_NC_SA', 'Creative Commons Attribution, Non Commercial, Share Alike'), ('CC_BY_ND', 'Creative Commons Attribution, No Derivatives'), ('CC_BY_NC_ND', 'Creative Commons Attribution, No Commercial, No Derivatives'), ('NA', 'Not appropriate'), ('ALL_RIGHTS_RESERVED', 'All rights reserved')], default='CC_BY', help_text='The licence under which the content is provided. If you want to share your work with the communitya Creative Commons Licence is a bit more adapted. Anyway you can choose to keep your rights on your resource', max_length=20, verbose_name='Licence'),
        ),
        migrations.AlterField(
            model_name='resource',
            name='name',
            field=models.CharField(help_text='A title that clearly indicates the theme you are writing about.', max_length=255, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='resource',
            name='reuse',
            field=models.CharField(choices=[('NO_RESTRICTION', 'Reusable'), ('ONLY_AUTHOR', 'Author only'), ('NON_REUSABLE', 'Non reusable')], default='ONLY_AUTHOR', help_text='Whether you want the resource to be reusable in an activity. Resources can be fully reusable, only by you or not reusable', max_length=20, verbose_name='Reuse'),
        ),
        migrations.AlterField(
            model_name='resource',
            name='tags',
            field=taggit.managers.TaggableManager(help_text='A set of coma separated keywords that describe the theme and permits this content to be found by browsing or searching.', through='taggit.TaggedItem', to='taggit.Tag', verbose_name='Tags'),
        ),
        migrations.AlterField(
            model_name='resource',
            name='type',
            field=models.CharField(choices=[('FILE', 'File'), ('VIDEO', 'Video'), ('AUDIO', 'Audio')], help_text='Whether this resource is a common file, a video file or an audio', max_length=10, verbose_name='Type'),
        ),
        migrations.AlterField(
            model_name='resourcecollaborator',
            name='resource',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='resource_collaborators', to='learning.Resource', verbose_name='Resource'),
        ),
    ]
